# Uses of Class
it.tdlight.jni.TdApi.BotCommands

## Uses of TdApi.BotCommands in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.BotCommands
Modifier and Type
Field
Description
`TdApi.BotCommands[]`
TdApi.BasicGroupFullInfo.`botCommands`
List of commands of bots in the group.
`TdApi.BotCommands[]`
TdApi.SupergroupFullInfo.`botCommands`
List of commands of bots in the group.
Constructors in it.tdlight.jni with parameters of type TdApi.BotCommands
Modifier
Constructor
Description
``
`BasicGroupFullInfo(TdApi.ChatPhoto photo, String description, long creatorUserId, TdApi.ChatMember[] members, TdApi.ChatInviteLink inviteLink, TdApi.BotCommands[] botCommands)`
Contains full information about a basic group.
``
`SupergroupFullInfo(TdApi.ChatPhoto photo, String description, int memberCount, int administratorCount, int restrictedCount, int bannedCount, long linkedChatId, int slowModeDelay, double slowModeDelayExpiresIn, boolean canGetMembers, boolean canSetUsername, boolean canSetStickerSet, boolean canSetLocation, boolean canGetStatistics, boolean isAllHistoryAvailable, long stickerSetId, TdApi.ChatLocation location, TdApi.ChatInviteLink inviteLink, TdApi.BotCommands[] botCommands, long upgradedFromBasicGroupId, long upgradedFromMaxMessageId)`
Contains full information about a supergroup or channel.